## org.ascape.util.data
Class DataSeries

    java.lang.Object
      org.ascape.util.data.StatCollector
          org.ascape.util.data.StatCollectorCSA
              org.ascape.util.data.StatCollectorCSAMM
                  org.ascape.util.data.DataSeries

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, DataPoint, HasName

Direct Known Subclasses:
  DataSeriesStore

    public abstract class DataSeries

extends StatCollectorCSAMM

A class which stores the results of measurements of data points. Comprehensive statistics are kept for the series as a whole. Ordinarily, you should not have to work with this class unless you are creating custom measurement types or collecting different kinds of data. You do not usually need to subclass this class directly; a stat factory creates the appropriate implementations. Confused? A data series keeps track of the overall count, sum, average, minimum, maximum for every piece of data collected, so it 'is-a' StatCollectorCSAMM. But it keeps the data stat for that data as well, and it records just one measure of that stat, be it count, sum, average, minimum, maximum, etc. so it 'has-a' DataPoint. See StatCollectorCSA for an example.

Since:
  1.0
Version:
  1.0.2
Author:
  Miles Parker
See Also:
  `StatCollector.createDataSeries(boolean)`, `StatCollectorCSA`, Serialized Form

Field Summary
`protected DataPoint` `point` The value point this series is tracking.

Fields inherited from class org.ascape.util.data.StatCollectorCSA
`sum`

Fields inherited from class org.ascape.util.data.StatCollector
`allMeasureNames, allMeasureNamesShort, autoCollect, COLLECTING, count, name, NOT_COLLECTING, SET_BY_DATAGROUP`

Constructor Summary
`DataSeries()` Constructs a new data series.

Method Summary
`void` `addValue()` Adds a new value to the series.
`void` `clear()` Clears the series of all values.
`DataPoint` `getDataPoint()` Returns the data point that this series is recording.
`abstract java.lang.String` `getMeasureName()` Overridden to return a (english for now) name for the type of measure being recorded; for example, "Minimum."
`java.lang.String` `getName()` Returns the name of this data series.
`abstract double` `getValue()` Overridden to return the current value of the measure used for this series.
`double` `getValue(java.lang.Object object)` Overrides the superclasses abstract method, to call the getValue method of this class.
`boolean` `isCollecting()` Returns whether this DataSeries is collecting longitudinal data.
`void` `setDataPoint(DataPoint point)` Sets the data point that this series shoudl record.

Methods inherited from class org.ascape.util.data.StatCollectorCSAMM
`addValue, getMax, getMin`

Methods inherited from class org.ascape.util.data.StatCollectorCSA
`getAvg, getSum, getTotal`

Methods inherited from class org.ascape.util.data.StatCollector
`addValueFor, calculateCollection, calculateIterator, calculateValue, compareTo, createDataSeries, getAllDataSeries, getAllMeasureNames, getAllMeasureNamesShort, getCollectingLongitudinalDataMode, getCount, getDataGroup, getDataSeries, isAutoCollect, isCalculated, isCollectingLongitudinalData, isPhase2, setAutoCollect, setCollectingLongitudinalDataMode, setDataGroup, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### point

    protected DataPoint point

  The value point this series is tracking.

Constructor Detail

### DataSeries

    public DataSeries()

  Constructs a new data series.

Method Detail

### clear

    public void clear()

  Clears the series of all values.

  Overrides:
    `clear` in class `StatCollectorCSAMM`

### addValue

    public void addValue()

  Adds a new value to the series.

### getValue

    public abstract double getValue()

  Overridden to return the current value of the measure used for this series. For example, if this series is intended to track minimums, this method might return `((StatCollectorCSAMM) point).getMin()`

  See Also:
    `StatCollector.createDataSeries(boolean)`

### getValue

    public final double getValue(java.lang.Object object)

  Overrides the superclasses abstract method, to call the getValue method of this class. Object is ignored, since this data series is interested in one and only one object; its value point.

  Specified by:
    `getValue` in interface `DataPoint`
  Overrides:
    `getValue` in class `StatCollector`
  Parameters:
    `object` - normally the object we're interested in, ignored here

### getMeasureName

    public abstract java.lang.String getMeasureName()

  Overridden to return a (english for now) name for the type of measure being recorded; for example, "Minimum."

### getName

    public java.lang.String getName()

  Returns the name of this data series. By default, the measure name and the value being measured; for example, "Minimum Age."

  Specified by:
    `getName` in interface `DataPoint`
  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `StatCollector`

### getDataPoint

    public DataPoint getDataPoint()

  Returns the data point that this series is recording.

### setDataPoint

    public void setDataPoint(DataPoint point)

  Sets the data point that this series shoudl record.

### isCollecting

    public boolean isCollecting()

  Returns whether this DataSeries is collecting longitudinal data. Check this to see if a DataSeries needs to be cast into a DataSeriesStore. This method always returns false.